View Issue Details

IDProjectCategoryView StatusLast Update
0002884Ham Radio DeluxeBugpublic2018-09-11 13:18
Reporterg3ucq 
Assigned ToK7ZCZ 
PriorityimmediateSeveritymajorReproducibilityalways
Status closedResolutionfixed 
PlatformPCOSWindowsOS Version10 64 bit Home
Product Version 
Target VersionFixed in Version6.4.0.886 
Summary0002884: Using Beta v.883. Updating a QSO causes the date to change
DescriptionUsing Beta v.883 the Log Date changes when Update in the ALE is clicked.
Steps To ReproduceUse Beta v.883.
Open a Log in Logbook.
Open a QSO in the ALE and then click the Update button.
The Date will change to 30/12/1899.
It is not possible to edit the date to the correct one.
When the ALE is closed the Date column in the log will be empty for that QSO.
Reverting to Beta v.882 does not show this problem.
Return to Beta v.883 and the problem still exists.
Returning to Beta v.882 the correct date will again be shown against the QSO.
TagsNo tags attached.
ModuleLogbook
Sub-ModuleALE Window
Testing Beta Successful

Relationships

related to 0002872 closedK7ZCZ QSO Forwarding Packets Sent by Logbook Have Invalid QSO Date 

Activities

k2dls

2018-09-08 09:32

viewer   ~0006138

Also affects new QSO entered via ALE. No date was stored at all in the QSO record according to the list display. Then I went into update and the date was displayed as 12/30/1899.

K7ZCZ

2018-09-08 13:44

manager   ~0006140

Last edited: 2018-09-08 13:45

View 2 revisions

My fix for 2872 wasn't quite right. This checkin sets it straight.

https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/4336

g3ucq

2018-09-09 03:23

viewer   ~0006151

Fixed

k2dls

2018-09-09 08:06

viewer   ~0006152

Confirmed fixed in 884.

Issue History

Date Modified Username Field Change
2018-09-08 05:16 g3ucq New Issue
2018-09-08 09:32 k2dls Note Added: 0006138
2018-09-08 13:44 K7ZCZ Note Added: 0006140
2018-09-08 13:45 K7ZCZ Note Edited: 0006140 View Revisions
2018-09-08 13:52 K7ZCZ Relationship added related to 0002872
2018-09-08 13:53 K7ZCZ Assigned To => K7ZCZ
2018-09-08 13:53 K7ZCZ Status new => resolved
2018-09-08 13:53 K7ZCZ Resolution open => fixed
2018-09-09 03:23 g3ucq Note Added: 0006151
2018-09-09 08:06 k2dls Note Added: 0006152
2018-09-09 10:34 K7ZCZ Project 1 - Backlog => 3 - Current Dev List
2018-09-09 10:34 K7ZCZ Fixed in Version => 6.4.0.884
2018-09-09 20:16 WA9PIE Status resolved => closed
2018-09-09 20:16 WA9PIE Testing Not Started => Beta Successful
2018-09-11 13:15 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe
2018-09-11 13:18 WA9PIE Fixed in Version 6.4.0.884 => 6.4.0.886